Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
GETVPC Firewall OperationsSince 4.0.0SynchronousAuth Required

QueryFirewallRuleTemplate

QueryFirewallRuleTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryListRequired

    See inventories

Endpoint

GET/zstack/v1/vpcfirewalls/rules/templates

/zstack/v1/vpcfirewalls/rules/templates

Operation ID

QueryFirewallRuleTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpcfirewalls/rules/templates' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "action": "accept", "protocol": "TCP", "destPort": "22", "sourcePort": "22", "sourceIp": "192.168.1.2", "destIp": "192.168.1.1", "allowStates": "invalid,new", "tcpFlag": "SYN", "icmpTypeName": "echo-reply", "ruleNumber": 1001.0, "enableLog": false, "state": "disable", "isDefault": false, "description": "example rule des" } ] }

Change History

This API has no change history records yet.

View all change history